org.eclipse.emf.cdo.common.branch

## Interface CDOBranchPoint

- All Superinterfaces:
    CDOBranchProvider, CDOTimeProvider
  All Known Subinterfaces:
    CDOBranch, CDOBranchTag, CDOCommitHistory.TriggerLoadElement, CDOCommitInfo, CDOCommonTransaction, CDOCommonView, CDOLockChangeInfo, CDORevisable, CDORevision, CDOSessionInvalidationEvent, CDOSessionLocksChangedEvent, CDOTransaction, CDOView, CDOViewLocksChangedEvent, IDurableLockingManager.LockArea, InternalCDOBranch, InternalCDORevision, InternalCDOSessionInvalidationEvent, InternalCDOTransaction, InternalCDOView, InternalTransaction, InternalView, IQueryContext, IStoreAccessor.QueryResourcesContext, IStoreAccessor.QueryResourcesContext.ExactMatch, IStoreAccessor.QueryXRefsContext, ITransaction, IView
  All Known Implementing Classes:
    AbstractCDORevision, BaseCDORevision, CDOChangeSetSegment, CDOPushTransaction, CDOSessionProtocol.CommitTransactionResult, DelegatingCDORevision, DelegatingQueryResourcesContext, DetachedCDORevision, DurableLockArea, PointerCDORevision, StubCDORevision, SyntheticCDORevision

      public interface CDOBranchPoint
      extends CDOBranchProvider, CDOTimeProvider

  A `point in time` in a particular `branch`.
  Since:
    3.0
  Author:
    Eike Stepper
  See Also:
    `CDOCommitInfo`, `CDOBranchTag`, `CDOBranch.getBase()`, `CDOBranch.getHead()`, `CDOBranch.getPoint(long)`, `CDOBranchUtil.copyBranchPoint(CDOBranchPoint)`
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.
  Apiviz
    `CDOBranch`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `INVALID_DATE` The fixed special time stamp invalid.
    `static long` | `UNSPECIFIED_DATE` The fixed special time stamp unspecified.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOBranch` | `getBranch()` Returns the branch of this branch point, or `null` if this branch point is the `base` of the `main branch`.
    `long` | `getTimeStamp()` Returns the time stamp of this branch point, or the fixed special time stamp `unspecified` if this branch point marks the `head` of a branch.

- - ### Field Detail

    - #### UNSPECIFIED_DATE

          static final long UNSPECIFIED_DATE

      The fixed special time stamp unspecified.
      See Also:
        `CDOBranch.getHead()`, Constant Field Values

    - #### INVALID_DATE

          static final long INVALID_DATE

      The fixed special time stamp invalid.
      Since:
        4.0
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getBranch

          CDOBranch getBranch()

      Returns the branch of this branch point, or `null` if this branch point is the `base` of the `main branch`.
      Specified by:
        `getBranch` in interface `CDOBranchProvider`

    - #### getTimeStamp

          long getTimeStamp()

      Returns the time stamp of this branch point, or the fixed special time stamp `unspecified` if this branch point marks the `head` of a branch.
      Specified by:
        `getTimeStamp` in interface `CDOTimeProvider`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html